## indi-gpsd 0.5+20221222000619

=== CMakeLists.txt ===
########### NexStar Evolution INDI driver ##############
PROJECT(indi_gpsd C CXX)
cmake_minimum_required(VERSION 3.0)

include(GNUInstallDirs)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")

set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
set(DATA_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/indi/")
set(INDI_DATA_DIR "${CMAKE_INSTALL_PREFIX}/share/indi")

find_package(INDI REQUIRED)
find_package(Nova REQUIRED)
find_package(ZLIB REQUIRED)
find_package(GPSD REQUIRED)

set(GPSD_VERSION_MAJOR 0)
set(GPSD_VERSION_MINOR 5)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_gpsd.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_gpsd.xml )

include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
include_directories( ${INDI_INCLUDE_DIR})
include_directories( ${NOVA_INCLUDE_DIR})

include(CMakeCommon)

add_executable(indi_gpsd gps_driver.cpp)
target_link_libraries(indi_gpsd ${INDI_LIBRARIES} ${GPSD_LIBRARIES} ${NOVA_LIBRARIES})

if (CMAKE_SYSTEM_PROCESSOR MATCHES "arm*")
    target_link_libraries(indi_gpsd rt)
endif (CMAKE_SYSTEM_PROCESSOR MATCHES "arm*")

install(TARGETS indi_gpsd RUNTIME DESTINATION bin )

install( FILES  ${CMAKE_CURRENT_BINARY_DIR}/indi_gpsd.xml DESTINATION ${INDI_DATA_DIR})

## indi-gpsd 0.5%2B20221222000619

=== debian/control ===
Source: indi-gpsd
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libindi-dev
	, libnova-dev
	, zlib1g-dev
	, libgps-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-gpsd
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-gpsd.git

Package: indi-gpsd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for gpsd GPS daemon
 This package contains an INDI driver for the gpsd GPS daemon.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.

## indi-gpsd 0.5+20220129131520

=== debian/changelog ===
indi-gpsd (0.5+20220129131520-1) unstable; urgency=medium

  * build from indi-3rdparty git after release of version 1.9.4
  * build together with indi version 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 29 Jan 2022 13:54:06 +0000

indi-gpsd (0.5-2) unstable; urgency=medium

  * upload source package
  * debian/control: move package to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 05 Dec 2021 10:30:07 +0100

indi-gpsd (0.5-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 03 Dec 2021 22:30:07 +0100

## indi-gpsd 0.5+20220611125015

=== debian/changelog ===
indi-gpsd (0.5+20220611125015-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Thorsten Alteholz ]
  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Jun 2022 12:50:25 +0000

## indi-gpsd 0.5+20221222000619

=== debian/changelog ===
indi-gpsd (0.5+20221222000619-2) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113022)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:29:56 +0200

indi-gpsd (0.5+20221222000619-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 0.5

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 22 Dec 2022 00:07:33 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: indi-gpsd
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper-compat (= 13)
 	, cmake
